@font-face {
  font-family: "Whitney Light";
  src: url("fonts/whitneylight.otf") format("opentype");
}

@font-face {
  font-family: "Whitney Semibold";
  src: url("fonts/whitneysemibold.otf") format("opentype");
}

body {
  background-color: #769fd1;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-family: "Whitney Semibold";
  background-image: url("idximg/bg.svg");

  background-size: 100px;
  color: white;
}
.bigcontainer {
    display: flex;
    flex-wrap: wrap; 
    gap: 1vw;
}


.infos, .infodetail {
  position: absolute; 
  top: 20px;
  left: 0;
  right: 0;
  margin: auto;
  flex: 0 0 20vw;
  padding: 20px;
  min-width: 280px;
  max-width: 280px;
  background-color: rgb(59, 118, 177);
  color: aliceblue;
  border-radius: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0;

  
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: opacity 0.4s ease, transform 0.4s ease, visibility 0.4s ease;
  transform: translateY(10px); 
  
}


.infos.active,
.infodetail.active {
  opacity: 1;
  visibility: visible;
  pointer-events: all;
  transform: translateY(0);
}


.infocontainer {
  position: sticky;
  top: 20px;
  height: 70vh;
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 280px;
  max-width: 280px;
}




.liens {
    flex: 1 1 0; 
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    border-radius: 30px;
    width:70vw;
    border: #d22525 5px solid;
    background-color: #5497da;
    padding: 30px;
    gap: 50px;
    
}

.liens a {
  text-decoration: none;
  width: 30vh;
  height: 45vh;
  background-color: rgba(219, 219, 255, 1);
  background-image: linear-gradient(
    0deg,
    rgb(255, 255, 255) 0%,
    rgba(255, 255, 255, 0) 100%
  );
  color: black;
  cursor: pointer;
  transition: transform 0.5s ease, background-color 0.5s ease, filter 0.5s ease;
  filter: drop-shadow(0.3vh 0.3vh rgb(52, 102, 153))
    drop-shadow(0.3vh 0.3vh rgb(70, 133, 196));
  border-radius: 3vh;
  padding: 0.5vh;
  display: grid;
  grid-template-rows: 10vh auto;
  text-align: center;
  font-size: 2vh;
}

.liens a img {
  border-radius: 1vh;
  width: 27vh;
  height: 27vh;
  object-fit: cover;
  margin-left: 1.5vh;
}

.liens a:hover {
  transform: perspective(700px) translateY(-5%) rotateX(30deg) translateZ(0);
  background-color: rgb(117, 172, 255);
  opacity: 1;
  filter: drop-shadow(0.3vh 1vh rgb(52, 102, 153))
    drop-shadow(0.3vh 1vh rgb(73, 134, 196));
}

.liens a .hoverimage {
  position: absolute;
  width: 28vh;
  height: 43vh;
  opacity: 0;
  margin-top: 5vh;
  filter: drop-shadow(0 0 0 rgba(255, 255, 255, 0.2));

  transition: opacity 0.5s ease, margin-top 0.5s ease, filter 0.5s ease;
}

.liens a:hover .hoverimage {
  margin-top: 0vh;
  opacity: 1;
  filter: drop-shadow(0 0 1vh rgb(255, 255, 255));
}

h2 {
  margin: 0;
}

footer {
  color: white;
}

footer p{
    display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
}
footer p a{
    text-decoration: none;
  color: white;
  height: 100%;
  padding-top: 5px;
}

footer p a svg{
    height:100%;
}